org.springframework.core.io

## Class VfsUtils

- java.lang.Object
- - org.springframework.core.io.VfsUtils

-     public abstract class VfsUtils
      extends Object

  Utility for detecting and accessing JBoss VFS in the classpath. As of Spring 4.0, supports VFS 3.x on JBoss AS 6+ (package `org.jboss.vfs`) and is in particular compatible with JBoss AS 7 and WildFly 8.

  Thanks go to Marius Bogoevici for the initial patch. Note: This is an internal class and should not be used outside the framework.

  Since:
    3.0.3
  Author:
    Costin Leau, Juergen Hoeller

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static Method` | `VIRTUAL_FILE_METHOD_VISIT`
    `protected static Class<?>` | `VIRTUAL_FILE_VISITOR_INTERFACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VfsUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static String` | `doGetPath(Object resource)`
    `protected static Object` | `doGetVisitorAttribute()`
    `protected static Object` | `getRoot(URL url)`
    `protected static Object` | `invokeVfsMethod(Method method, Object target, Object... args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VIRTUAL_FILE_VISITOR_INTERFACE

          protected static Class<?> VIRTUAL_FILE_VISITOR_INTERFACE

    - #### VIRTUAL_FILE_METHOD_VISIT

          protected static Method VIRTUAL_FILE_METHOD_VISIT

  - ### Constructor Detail

    - #### VfsUtils

          public VfsUtils()

  - ### Method Detail

    - #### invokeVfsMethod

          protected static Object invokeVfsMethod(Method method,
                                                  Object target,
                                                  Object... args)
                                           throws IOException

      Throws:
        `IOException`

    - #### getRoot

          protected static Object getRoot(URL url)
                                   throws IOException

      Throws:
        `IOException`

    - #### doGetVisitorAttribute

          protected static Object doGetVisitorAttribute()

    - #### doGetPath

          protected static String doGetPath(Object resource)